Bug 720186 - xkbbell doesn't produce bell event in terminal
xkbbell doesn't produce bell event in terminal
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-xkb-utils (Show other bugs)
15
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 607393 1120700
  Show dependency treegraph
 
Reported: 2011-07-10 14:00 EDT by Paul DeStefano
Modified: 2014-07-17 09:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-16 06:27:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul DeStefano 2011-07-10 14:00:12 EDT
Description of problem:
xkbbell does not produce bell event in xterm or terminal window

Version-Release number of selected component (if applicable):
xorg-x11-xkb-extras-7.5-3.fc15.x86_64

How reproducible:
Since F15, always

Steps to Reproduce:
1. install xorg-x11-xkb-extras
2. run 'xkbbell'
3. 
  
Actual results:
No bell event occurs for window.

Expected results:
xkbbell, prior to F15, produced a bell event in the terminal window from which it was run.  That's is what is expected.

Additional info:
Comment 1 Matěj Cepl 2011-07-12 17:31:46 EDT

*** This bug has been marked as a duplicate of bug 607393 ***
Comment 2 Paul DeStefano 2011-07-12 17:48:48 EDT
Umm, no.  This is not related to the other bug in any way.

xkbbell used to produce a bell event in F14, now it doesn't in F15.  The program xkbbell just doesn't produce the xkbbell any more.  That's a change in xkbbell.

The audible bell stopped working sometime before F11 and is still broken.   But, the bell event still occurs when any program generates it.   These are not related bugs.
Comment 3 Paul DeStefano 2011-07-12 17:52:44 EDT
Ah, okay.  You're just lumping all of these together into bug ID with many bugs?  Got it.
Comment 4 Matěj Cepl 2011-07-13 06:48:53 EDT
(In reply to comment #2)
> Umm, no.  This is not related to the other bug in any way.
> 
> xkbbell used to produce a bell event in F14, now it doesn't in F15.  The
> program xkbbell just doesn't produce the xkbbell any more.  That's a change in
> xkbbell.
> 
> The audible bell stopped working sometime before F11 and is still broken.  
> But, the bell event still occurs when any program generates it.   These are not
> related bugs.

I have discussed it with X developers and they agree that these are related bugs. There is something weird about support for XBell() is gradually falling apart (first it didn't work on KDE/XFCE, now even on Gnome). Not sure what's the deal, but all this mess should be probably dealt with at once.
Comment 5 Kevin Kofler 2012-12-31 22:22:35 EST
This is not the same bug. This one is about the event not being fired in the first place, which is clearly a different issue from PulseAudio not doing anything with it IF it gets fired. Reopening.
Comment 6 Paul DeStefano 2013-01-01 13:33:53 EST
I'm sorry for the confusion, but I hardly remember this bug.  There was a brief period in which 'xkbbell' failed to produce an event or was being ignored, *in addition* to bug 607393 in which bell events that do occur produce no sound.  That is why I opened this bug, separately.

I don't believe this bug still exists as 'xkbbell' now produces sound just like other bell-type events, which is to say, only when PulseAudio is manually configured (in the non-standard, unsupported way described in bug 607393).  But, I no longer see evidence that xkbbell is still broken in this way.
Comment 7 Hans de Goede 2014-04-16 06:27:43 EDT
Hi,

(In reply to Paul DeStefano from comment #6)
> I'm sorry for the confusion, but I hardly remember this bug.  There was a
> brief period in which 'xkbbell' failed to produce an event or was being
> ignored, *in addition* to bug 607393 in which bell events that do occur
> produce no sound.  That is why I opened this bug, separately.
> 
> I don't believe this bug still exists as 'xkbbell' now produces sound just
> like other bell-type events, which is to say, only when PulseAudio is
> manually configured (in the non-standard, unsupported way described in bug
> 607393).  But, I no longer see evidence that xkbbell is still broken in this
> way.

I can confirm that xkbbell seems to work fine current Fedora, closing.

Regards,

Hans

Note You need to log in before you can comment on or make changes to this bug.